summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2024-01-14 18:06:33 +0100
committerChristian Grothoff <grothoff@gnunet.org>2024-01-14 18:06:33 +0100
commit5a821a0ef9bd9c2602a63f77b1e9c1bae31722a4 (patch)
tree2948dc9af3832dc7b2b48c9405749bd048e21e24 /contrib
parent4910655790ce89aa23f47517c9e21a1bb9f92a69 (diff)
downloadtaler-mdb-5a821a0ef9bd9c2602a63f77b1e9c1bae31722a4.tar.gz
taler-mdb-5a821a0ef9bd9c2602a63f77b1e9c1bae31722a4.tar.bz2
taler-mdb-5a821a0ef9bd9c2602a63f77b1e9c1bae31722a4.zip
do not get confused by sleep
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/taler-mdb-network-check.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/contrib/taler-mdb-network-check.sh b/contrib/taler-mdb-network-check.sh
index 3276743..d8e220a 100755
--- a/contrib/taler-mdb-network-check.sh
+++ b/contrib/taler-mdb-network-check.sh
@@ -121,15 +121,15 @@ function show_failure()
# Function to run when our child died.
function childdeath()
{
- if [ "$ERROR_PID" != "-1" ]
+ if ! ps "$ERROR_PID" &> /dev/null
then
- wait ${ERROR_PID}
+ wait "${ERROR_PID}"
ERROR_PID="-1"
fi
- if [ "$CHILD_PID" != "-1" ]
+ if ! ps "$CHILD_PID" &> /dev/null
then
echo "taler-mdb died"
- wait ${CHILD_PID}
+ wait "${CHILD_PID}"
CHILD_PID="-1"
show_failure child-died
fi